#[derive(Default)]
pub struct GameLog {
    pub entries: Vec<String>,
}

impl GameLog {
    pub fn new<S: ToString>(first_entry: S) -> Self {
        let mut log = GameLog::default();
        log.append(first_entry);

        log
    }

    pub fn append<S: ToString>(&mut self, s: S) {
        self.entries.push(s.to_string());
    }
}
